Skip to main content
`Ctrl`+`K`

# PCAppendOptionsPrefix

Appends to the prefix used for searching for all `PC` options in the database.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCAppendOptionsPrefix(PC pc, const char prefix[])

Logically Collective

## Input Parameters

- pc - the `PC` preconditioner context

- prefix - the prefix string to prepend to all `PC` option requests

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

KSP: Linear System Solvers, `PC`, `PCSetFromOptions()`, `PCSetOptionsPrefix()`, `PCGetOptionsPrefix()`

## Level

advanced

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages